pqxx::basic_robusttransaction Class Referenceabstract
Transaction classes

`#include <robusttransaction.hxx>`

Inheritance diagram for pqxx::basic_robusttransaction:

## Public Types

typedef isolation_traits< read_committed > | isolation_tag
| Isolation level is read_committed by default. More...
Public Types inherited from pqxx::transaction_base
typedef isolation_traits< read_committed > | isolation_tag
| If nothing else is known, our isolation level is at least read_committed. More...

## Public Member Functions

virtual | ~basic_robusttransaction ()=0
Public Member Functions inherited from pqxx::dbtransaction
virtual | ~dbtransaction ()
Public Member Functions inherited from pqxx::transaction_base
virtual | ~transaction_base ()=0
void | commit ()
| Commit the transaction. More...
void | abort ()
| Abort the transaction. More...
std::string | esc (const char str[]) const
| Escape string for use as SQL string literal in this transaction. More...
std::string | esc (const char str[], size_t maxlen) const
| Escape string for use as SQL string literal in this transaction. More...
std::string | esc (const std::string &str) const
| Escape string for use as SQL string literal in this transaction. More...
std::string | esc_raw (const unsigned char str[], size_t len) const
| Escape binary data for use as SQL string literal in this transaction. More...
std::string | esc_raw (const std::string &) const
| Escape binary data for use as SQL string literal in this transaction. More...
template<typename T >
std::string | quote (const T &t) const
| Represent object as SQL string, including quoting & escaping. More...
std::string | quote_raw (const unsigned char str[], size_t len) const
| Binary-escape and quote a binarystring for use as an SQL constant. More...
std::string | quote_raw (const std::string &str) const
std::string | quote_name (const std::string &identifier) const
| Escape an SQL identifier for use in a query. More...
result | exec (const std::string &Query, const std::string &Desc=std::string())
| Execute query. More...
result | exec (const std::stringstream &Query, const std::string &Desc=std::string())
internal::parameterized_invocation | parameterized (const std::string &query)
| Parameterize a statement. More...
connection_base & | conn () const
| Connection this transaction is running in. More...
void | set_variable (const std::string &Var, const std::string &Val)
| Set session variable in this connection. More...
std::string | get_variable (const std::string &)
| Get currently applicable value of variable. More...
prepare::invocation | prepared (const std::string &statement=std::string())
| Execute prepared statement. More...
void | process_notice (const char Msg[]) const
| Have connection process warning message. More...
void | process_notice (const std::string &Msg) const
| Have connection process warning message. More...
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Protected Member Functions

| basic_robusttransaction (connection_base &C, const std::string &IsolationLevel, const std::string &table_name=std::string())
Protected Member Functions inherited from pqxx::dbtransaction
| dbtransaction (connection_base &, const std::string &IsolationString, readwrite_policy rw=read_write)
| dbtransaction (connection_base &, bool direct=true, readwrite_policy rw=read_write)
void | start_backend_transaction ()
| Start a transaction on the backend and set desired isolation level. More...
virtual result | do_exec (const char Query[])
| Sensible default implemented here: perform query. More...
Protected Member Functions inherited from pqxx::transaction_base
| transaction_base (connection_base &c, bool direct=true)
| Create a transaction (to be called by implementation classes only) More...
void | Begin ()
| Begin transaction (to be called by implementing class) More...
void | End () throw ()
| End transaction. To be called by implementing class' destructor. More...
result | DirectExec (const char C[], int Retries=0)
| Execute query on connection directly. More...
void | reactivation_avoidance_clear () throw ()
| Forget about any reactivation-blocking resources we tried to allocate. More...

## Additional Inherited Members

Static Protected Member Functions inherited from pqxx::dbtransaction
static std::string | fullname (const std::string &ttype, const std::string &isolation)
Protected Attributes inherited from pqxx::transaction_base
internal::reactivation_avoidance_counter | m_reactivation_avoidance
| Resources allocated in this transaction that make reactivation impossible. More...

## Member Typedef Documentation

## isolation_tag

typedef isolation_traits<read_committed> pqxx::basic_robusttransaction::isolation_tag

Isolation level is read_committed by default.

## Constructor & Destructor Documentation

## ~basic_robusttransaction()

pqxx::basic_robusttransaction::~basic_robusttransaction | ( |  | ) |

pure virtual

References pqxx::connection_base::backendpid(), pqxx::transaction_base::conn(), pqxx::transaction_base::DirectExec(), pqxx::dbtransaction::do_abort(), pqxx::dbtransaction::do_begin(), pqxx::result::empty(), pqxx::internal::namedclass::name(), pqxx::connection_base::process_notice(), pqxx::transaction_base::process_notice(), pqxx::transaction_base::quote(), pqxx::connection_base::server_version(), pqxx::internal::sleep_seconds(), pqxx::internal::sql_commit_work, pqxx::to_string(), and pqxx::connection_base::username().

## basic_robusttransaction()

pqxx::basic_robusttransaction::basic_robusttransaction | ( | connection_base & | C,
|  | const std::string & | IsolationLevel,
|  | const std::string & | table_name = `std::string()`
| ) |  |

protected

The documentation for this class was generated from the following files:

- robusttransaction.hxx
- robusttransaction.cxx